# Generated from sekka-1.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sekka

Name: rubygem-%{gem_name}
Version: 1.8.0
Release: 1%{?dist}
Summary: Sekka is a SKK like input method
License: New BSD
URL: http://github.com/kiyoka/sekka
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Sekka is a SKK like input method. Sekka server provides REST Based API. If you
are SKK user, let's try it.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sekka-benchmark
%{_bindir}/sekka-jisyo
%{_bindir}/sekka-path
%{_bindir}/sekka-server
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/COPYING
%{gem_instdir}/DESIGN
%{gem_instdir}/VERSION.yml
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_instdir}/emacs
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/public_dict
%{gem_instdir}/script
%{gem_instdir}/tool
%{gem_instdir}/warbler
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/sekka.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 1.8.0-1
- Initial package
